Debian Bug report logs - #593629
debian-cd: GNU/kFreeBSD support

version graph

Package: debian-cd; Maintainer for debian-cd is Debian CD Group <debian-cd@lists.debian.org>; Source for debian-cd is src:debian-cd.

Reported by: Aurelien Jarno <aurel32@debian.org>

Date: Thu, 19 Aug 2010 18:00:02 UTC

Severity: normal

Tags: patch

Found in version debian-cd/3.1.3

Fixed in version debian-cd/3.1.4

Done: Steve McIntyre <93sam@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian CD Group <debian-cd@lists.debian.org>:
Bug#593629; Package debian-cd. (Thu, 19 Aug 2010 18:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurel32@debian.org>:
New Bug report received and forwarded. Copy sent to Debian CD Group <debian-cd@lists.debian.org>. (Thu, 19 Aug 2010 18:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian-cd: GNU/kFreeBSD support
Date: Thu, 19 Aug 2010 19:58:14 +0200
Package: debian-cd
Version: 3.1.3
Severity: normal
Tags: patch

Hi,

The patch below add support for GNU/kFreeBSD. It's a mix of support 
for kfreebsd-amd64 and kfreebsd-i386 with bug fixes to support a "-"
in the architecture name.

If you have any question, don't hesitate. If not, please apply this
patch for the next upload.

Thanks in advance,
Aurelien

Index: tools/grab_md5
===================================================================
--- tools/grab_md5	(révision 2043)
+++ tools/grab_md5	(copie de travail)
@@ -49,7 +49,7 @@
                                         DIR = ""
                                 }' | sort | uniq >> $OUT
             ;;
-        alpha|amd64|arm|armel|hppa|i386|ia64|m68k|mips|mipsel|powerpc|s390|sparc)
+        alpha|amd64|arm|armel|hppa|i386|ia64|m68k|mips|mipsel|powerpc|s390|sparc|kfreebsd-amd64|kfreebsd-i386)
             FILES=`find $LOCATIONS -name Packages.gz | grep binary-$ARCH`
             echo "Using MD5 sums from Packages files:"
             echo $FILES
Index: tools/generate_di+k_list
===================================================================
--- tools/generate_di+k_list	(révision 2043)
+++ tools/generate_di+k_list	(copie de travail)
@@ -287,4 +287,17 @@
 loop-aes-modules-2.6-prep
 #endif
 
+#ifdef ARCH_kfreebsd_amd64
+kfreebsd-image-8-amd64
+grub-pc
+#endif
+
+#ifdef ARCH_kfreebsd_i386
+kfreebsd-image-8-486
+kfreebsd-image-8-686
+kfreebsd-image-8-686-smp
+grub-pc
+libc0.1-i686
+#endif
+
 EOF
Index: tools/generate_di_list
===================================================================
--- tools/generate_di_list	(révision 2043)
+++ tools/generate_di_list	(copie de travail)
@@ -12,9 +12,9 @@
 
 my @ARCHES;
 if ( $ENV{ARCHES} ) {
-    push @ARCHES, 'i386' if $ENV{ARCHES} =~ /i386/;
-    push @ARCHES, 'amd64' if $ENV{ARCHES} =~ /amd64/;
-    push @ARCHES, grep { !/source|i386|amd64/ } split /\s+/, $ENV{ARCHES};
+    push @ARCHES, 'i386' if $ENV{ARCHES} =~ /[^\s]i386[\s\$]/;
+    push @ARCHES, 'amd64' if $ENV{ARCHES} =~ /[^\s]amd64[\s\$]/;
+    push @ARCHES, grep { !/^(source|i386|amd64)$/ } split /\s+/, $ENV{ARCHES};
 }
 @ARCHES = qw{i386 amd64} unless @ARCHES;
 
Index: tools/boot/squeeze/boot-kfreebsd
===================================================================
--- tools/boot/squeeze/boot-kfreebsd	(révision 0)
+++ tools/boot/squeeze/boot-kfreebsd	(révision 0)
@@ -0,0 +1,90 @@
+# This script gets sourced from boot-kfreebsd-i386 and boot-kfreebsd-amd64.
+#
+# Do install stuff for kfreebsd, including making bootable CDs
+# Works with debian-installer
+#
+# $1 is the CD number
+# $2 is the temporary CD build dir
+
+. $BASEDIR/tools/boot/$DI_CODENAME/common.sh
+. $BASEDIR/tools/boot/$DI_CODENAME/x86-desktop.sh
+
+set -e
+#set -x
+
+N=$1
+CDDIR=$2
+BOOTDIR=
+if [ "$DI_WWW_HOME" = "default" ];then
+	DI_WWW_HOME="http://d-i.debian.org/daily-images/$ARCH/daily"
+	if [ -n "$DI_DIR" ];then
+		DI_DIR="$DI_DIR/${DI_WWW_HOME#*http://}"
+		DI_WWW_HOME=""                     
+		echo "Using images from $DI_DIR"
+	fi
+fi
+if [ ! "$DI_DIST" ]; then
+	DI_DIST="$DI_CODENAME"
+fi
+
+cd $CDDIR/..
+
+# Only disc 1 bootable
+if [ $N != 1 ]; then 
+	add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-J -joliet-long"
+	exit 0
+fi
+
+# Download boot images.
+BOOT_IMAGES="cdrom/debian-cd_info.tar.gz cdrom/kfreebsd.gz cdrom/initrd.gz"
+
+for image in $BOOT_IMAGES; do
+	if [ ! -e "$image" ]; then
+		dir=$(dirname $image)
+		mkdir -p $dir
+		if [ ! "$DI_WWW_HOME" ];then
+			if [ ! "$DI_DIR" ];then
+				DI_DIR="$MIRROR/dists/$DI_DIST/main/installer-$ARCH/current/images"
+			fi
+			cp "$DI_DIR/$image" $image
+		else
+			wget "$DI_WWW_HOME/$image" -O $image
+		fi
+	fi
+done
+
+# Install kernel and initrd
+mkdir -p $CDDIR/boot/kernel/
+cp "cdrom/kfreebsd.gz" "$CDDIR/boot/kernel/kfreebsd.gz"
+cp "cdrom/initrd.gz" "$CDDIR/boot/mfsroot.gz"
+
+# Install bootloader
+tar -C $CDDIR -zxf cdrom/debian-cd_info.tar.gz
+add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-J -joliet-long"
+add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-b boot/grub/grub_eltorito"
+add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-c boot/boot.cat"
+add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-no-emul-boot"
+add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-boot-load-size 4"
+add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-boot-info-table"
+add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-cache-inodes"
+
+# Add autorun
+if [ -f $CDDIR/README.html ]; then
+	todos > $CDDIR/autorun.inf <<EOF
+[autorun]
+open=autorun.bat
+EOF
+	todos > $CDDIR/autorun.bat <<EOF
+@echo Starting "README.html"...
+@start README.html
+@exit
+EOF
+fi
+
+# Install languages
+install_languages $CDDIR
+
+# Cleanup
+rm -rf cdrom
+
+# done
Index: tools/boot/squeeze/boot-kfreebsd-amd64
===================================================================
--- tools/boot/squeeze/boot-kfreebsd-amd64	(révision 0)
+++ tools/boot/squeeze/boot-kfreebsd-amd64	(révision 0)
@@ -0,0 +1,2 @@
+#!/bin/bash
+. $BASEDIR/tools/boot/$DI_CODENAME/boot-kfreebsd

Modification de propriétés sur tools/boot/squeeze/boot-kfreebsd-amd64
___________________________________________________________________
Ajouté : svn:executable
   + *

Index: tools/boot/squeeze/boot-kfreebsd-i386
===================================================================
--- tools/boot/squeeze/boot-kfreebsd-i386	(révision 0)
+++ tools/boot/squeeze/boot-kfreebsd-i386	(révision 0)
@@ -0,0 +1,2 @@
+#!/bin/bash
+. $BASEDIR/tools/boot/$DI_CODENAME/boot-kfreebsd

Modification de propriétés sur tools/boot/squeeze/boot-kfreebsd-i386
___________________________________________________________________
Ajouté : svn:executable
   + *

Index: build_all.sh
===================================================================
--- build_all.sh	(révision 2043)
+++ build_all.sh	(copie de travail)
@@ -40,7 +40,7 @@
 	IMAGETARGET="official_images"
 fi
 
-for ARCHES in i386 amd64 alpha arm hppa ia64 m68k mips mipsel powerpc s390 sparc source
+for ARCHES in i386 amd64 alpha arm hppa ia64 m68k mips mipsel powerpc s390 sparc kfreebsd-amd64 kfreebsd-i386 source
 do
 	export ARCHES
 	echo "Now we're going to build CD for $ARCHES !"
Index: data/squeeze/exclude-udebs-kfreebsd-i386
===================================================================
--- data/squeeze/exclude-udebs-kfreebsd-i386	(révision 0)
+++ data/squeeze/exclude-udebs-kfreebsd-i386	(révision 0)
@@ -0,0 +1,26 @@
+# These udebs build the d-i cdrom initrd. As such, there is no reason
+# to keep another copy of them on the CD in udeb form.
+#
+acpi-modules-*
+cdrom-modules-*
+i2c-modules-*
+isofs-modules-*
+kernel-image-*
+parport-modules-*
+sata-modules-*
+scsi-core-modules-*
+scsi-extra-modules-*
+scsi-modules-*
+serial-modules-*
+
+# Not yet support on GNU/kFreeBSD
+partman-auto-crypto
+partman-auto-lvm
+partman-auto-raid
+partman-crypto-dm
+partman-crypto-loop
+partman-ext3
+partman-jfs
+partman-lvm
+partman-md
+partman-multipath
Index: data/squeeze/kfreebsd-i386_netinst_udeb_include
===================================================================
--- data/squeeze/kfreebsd-i386_netinst_udeb_include	(révision 0)
+++ data/squeeze/kfreebsd-i386_netinst_udeb_include	(révision 0)
@@ -0,0 +1,2 @@
+netcfg
+ethdetect
Index: data/squeeze/kfreebsd-amd64_businesscard_udeb_include
===================================================================
--- data/squeeze/kfreebsd-amd64_businesscard_udeb_include	(révision 0)
+++ data/squeeze/kfreebsd-amd64_businesscard_udeb_include	(révision 0)
@@ -0,0 +1,3 @@
+choose-mirror
+netcfg
+ethdetect
Index: data/squeeze/kfreebsd-i386_udeb_include
===================================================================
--- data/squeeze/kfreebsd-i386_udeb_include	(révision 0)
+++ data/squeeze/kfreebsd-i386_udeb_include	(révision 0)
@@ -0,0 +1,2 @@
+netcfg
+ethdetect
Index: data/squeeze/kfreebsd-i386_businesscard_udeb_include
===================================================================
--- data/squeeze/kfreebsd-i386_businesscard_udeb_include	(révision 0)
+++ data/squeeze/kfreebsd-i386_businesscard_udeb_include	(révision 0)
@@ -0,0 +1,3 @@
+choose-mirror
+netcfg
+ethdetect
Index: data/squeeze/exclude-udebs
===================================================================
--- data/squeeze/exclude-udebs	(révision 2043)
+++ data/squeeze/exclude-udebs	(copie de travail)
@@ -134,6 +134,8 @@
 kbd-udeb
 console-setup-*
 # Currently unused
+debian-ports-archive-keyring-udeb
+emdebian-archive-keyring-udeb
 nbd-client-udeb
 pwgen-udeb
 # Eh?
Index: data/squeeze/kfreebsd-amd64_netinst_udeb_include
===================================================================
--- data/squeeze/kfreebsd-amd64_netinst_udeb_include	(révision 0)
+++ data/squeeze/kfreebsd-amd64_netinst_udeb_include	(révision 0)
@@ -0,0 +1,2 @@
+netcfg
+ethdetect
Index: data/squeeze/exclude-udebs-kfreebsd-amd64
===================================================================
--- data/squeeze/exclude-udebs-kfreebsd-amd64	(révision 0)
+++ data/squeeze/exclude-udebs-kfreebsd-amd64	(révision 0)
@@ -0,0 +1,26 @@
+# These udebs build the d-i cdrom initrd. As such, there is no reason
+# to keep another copy of them on the CD in udeb form.
+#
+acpi-modules-*
+cdrom-modules-*
+i2c-modules-*
+isofs-modules-*
+kernel-image-*
+parport-modules-*
+sata-modules-*
+scsi-core-modules-*
+scsi-extra-modules-*
+scsi-modules-*
+serial-modules-*
+
+# Not yet support on GNU/kFreeBSD
+partman-auto-crypto
+partman-auto-lvm
+partman-auto-raid
+partman-crypto-dm
+partman-crypto-loop
+partman-ext3
+partman-jfs
+partman-lvm
+partman-md
+partman-multipath
Index: data/squeeze/kfreebsd-amd64_udeb_include
===================================================================
--- data/squeeze/kfreebsd-amd64_udeb_include	(révision 0)
+++ data/squeeze/kfreebsd-amd64_udeb_include	(révision 0)
@@ -0,0 +1,2 @@
+netcfg
+ethdetect
Index: Makefile
===================================================================
--- Makefile	(révision 2043)
+++ Makefile	(copie de travail)
@@ -310,7 +310,7 @@
 	fi
 
 	$(Q)for ARCH in $(ARCHES_NOSRC); do \
-		ARCHDEFS="$$ARCHDEFS -D ARCH_$(subst -,_,$$ARCH)"; \
+		ARCHDEFS="$$ARCHDEFS -D ARCH_`echo $$ARCH | sed 's/-/_/'`"; \
 		ARCHUNDEFS="$$ARCHUNDEFS -U $$ARCH"; \
 	done; \
 	for VARIANT in $(VARIANTS); do \


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 8.1-1-amd64
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages debian-cd depends on:
ii  apt                     0.7.25.3         Advanced front-end for dpkg
ii  bc                      1.06.95-2        The GNU bc arbitrary precision cal
ii  cpp                     4:4.4.4-2        The GNU C preprocessor (cpp)
ii  curl                    7.21.1-1         Get a file from an HTTP, HTTPS or 
ii  dctrl-tools [grep-dctrl 2.14             Command-line tools to process Debi
ii  genisoimage             9:1.1.10-1       Creates ISO-9660 CD-ROM filesystem
ii  libcompress-zlib-perl   2.024-1          Transitional dummy package for Com
ii  libio-compress-perl [li 2.024-1          bundle of IO::Compress modules
ii  lynx                    2.8.8dev.4-3     Text-mode WWW Browser (transitiona
ii  lynx-cur                2.8.8dev.4-3     Text-mode WWW Browser with NLS sup
ii  make                    3.81-8           An utility for Directing compilati
ii  perl [libdigest-md5-per 5.10.1-14        Larry Wall's Practical Extraction 
ii  tofrodos                1.7.8.debian.1-2 Converts DOS <-> Unix text files, 

Versions of packages debian-cd recommends:
pn  hfsutils                     <none>      (no description available)
ii  netpbm                       2:10.0-12.2 Graphics conversion tools between 
pn  syslinux-common              <none>      (no description available)

debian-cd suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD Group <debian-cd@lists.debian.org>:
Bug#593629; Package debian-cd. (Fri, 20 Aug 2010 14:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurel32@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian CD Group <debian-cd@lists.debian.org>. (Fri, 20 Aug 2010 14:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 593629@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: Steve McIntyre <steve@einval.com>
Cc: 593629@bugs.debian.org
Subject: Re: Bug#593629: debian-cd: GNU/kFreeBSD support
Date: Fri, 20 Aug 2010 16:55:09 +0200
On Fri, Aug 20, 2010 at 03:38:07PM +0100, Steve McIntyre wrote:
> On Thu, Aug 19, 2010 at 07:58:14PM +0200, Aurelien Jarno wrote:
> >Package: debian-cd
> >Version: 3.1.3
> >Severity: normal
> >Tags: patch
> >
> >Hi,
> >
> >The patch below add support for GNU/kFreeBSD. It's a mix of support 
> >for kfreebsd-amd64 and kfreebsd-i386 with bug fixes to support a "-"
> >in the architecture name.
> >
> >If you have any question, don't hesitate. If not, please apply this
> >patch for the next upload.
> 
> All looks excellent, except:

Thanks for the review.

> >Index: data/squeeze/exclude-udebs
> >===================================================================
> >--- data/squeeze/exclude-udebs	(révision 2043)
> >+++ data/squeeze/exclude-udebs	(copie de travail)
> >@@ -134,6 +134,8 @@
> > kbd-udeb
> > console-setup-*
> > # Currently unused
> >+debian-ports-archive-keyring-udeb
> >+emdebian-archive-keyring-udeb
> > nbd-client-udeb
> > pwgen-udeb
> > # Eh?
> 
> I don't understand why you're touching the generic exclude-udebs file
> here. Is this just another local change that's got caught up in your
> diff, or is this a generic change you think we should take anyway?

Oh yes, it's a generic change that should not have ended in this patch,
but I wanted to submit separately. I have reviewed the list of packages
that are excluded to compute the kfreebsd specific one, and noticed
these two packages. They are not necessary unless you install an
architecture hosted on embdebian or debian-ports, and even in that case
they should already be in the initrd.

> Once that's fixed, I'll commit your changes and also add support for
> the kfreebsd arches in the daily and weekly build scripts.
> 

Thanks!

Aurelien

-- 
Aurelien Jarno	                        GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD Group <debian-cd@lists.debian.org>:
Bug#593629; Package debian-cd. (Fri, 20 Aug 2010 15:06:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Debian CD Group <debian-cd@lists.debian.org>. (Fri, 20 Aug 2010 15:06:16 GMT) Full text and rfc822 format available.

Message #15 received at 593629@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Aurelien Jarno <aurel32@debian.org>
Cc: 593629@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#593629: debian-cd: GNU/kFreeBSD support
Date: Fri, 20 Aug 2010 16:04:01 +0100
tags 593629 +pending
thanks

On Fri, Aug 20, 2010 at 04:55:09PM +0200, Aurelien Jarno wrote:
>On Fri, Aug 20, 2010 at 03:38:07PM +0100, Steve McIntyre wrote:
>> 
>> I don't understand why you're touching the generic exclude-udebs file
>> here. Is this just another local change that's got caught up in your
>> diff, or is this a generic change you think we should take anyway?
>
>Oh yes, it's a generic change that should not have ended in this patch,
>but I wanted to submit separately. I have reviewed the list of packages
>that are excluded to compute the kfreebsd specific one, and noticed
>these two packages. They are not necessary unless you install an
>architecture hosted on embdebian or debian-ports, and even in that case
>they should already be in the initrd.

OK, cool. I'll commit that separately then. For Lenny they might have
been / were needed as they didn't make it into the initrd in time for
the freeze.

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
  Getting a SCSI chain working is perfectly simple if you remember that there
  must be exactly three terminations: one on one end of the cable, one on the
  far end, and the goat, terminated over the SCSI chain with a silver-handled
  knife whilst burning *black* candles. --- Anthony DeBoer





Added tag(s) pending. Request was from Steve McIntyre <steve@einval.com> to control@bugs.debian.org. (Fri, 20 Aug 2010 15:06:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD Group <debian-cd@lists.debian.org>:
Bug#593629; Package debian-cd. (Fri, 20 Aug 2010 15:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Debian CD Group <debian-cd@lists.debian.org>. (Fri, 20 Aug 2010 15:09:08 GMT) Full text and rfc822 format available.

Message #22 received at 593629@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Aurelien Jarno <aurel32@debian.org>, 593629@bugs.debian.org
Subject: Re: Bug#593629: debian-cd: GNU/kFreeBSD support
Date: Fri, 20 Aug 2010 15:38:07 +0100
On Thu, Aug 19, 2010 at 07:58:14PM +0200, Aurelien Jarno wrote:
>Package: debian-cd
>Version: 3.1.3
>Severity: normal
>Tags: patch
>
>Hi,
>
>The patch below add support for GNU/kFreeBSD. It's a mix of support 
>for kfreebsd-amd64 and kfreebsd-i386 with bug fixes to support a "-"
>in the architecture name.
>
>If you have any question, don't hesitate. If not, please apply this
>patch for the next upload.

All looks excellent, except:

>Index: data/squeeze/exclude-udebs
>===================================================================
>--- data/squeeze/exclude-udebs	(révision 2043)
>+++ data/squeeze/exclude-udebs	(copie de travail)
>@@ -134,6 +134,8 @@
> kbd-udeb
> console-setup-*
> # Currently unused
>+debian-ports-archive-keyring-udeb
>+emdebian-archive-keyring-udeb
> nbd-client-udeb
> pwgen-udeb
> # Eh?

I don't understand why you're touching the generic exclude-udebs file
here. Is this just another local change that's got caught up in your
diff, or is this a generic change you think we should take anyway?

Once that's fixed, I'll commit your changes and also add support for
the kfreebsd arches in the daily and weekly build scripts.

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
Can't keep my eyes from the circling sky,
Tongue-tied & twisted, Just an earth-bound misfit, I...





Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD Group <debian-cd@lists.debian.org>:
Bug#593629; Package debian-cd. (Sun, 22 Aug 2010 20:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurel32@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian CD Group <debian-cd@lists.debian.org>. (Sun, 22 Aug 2010 20:36:03 GMT) Full text and rfc822 format available.

Message #27 received at 593629@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: Steve McIntyre <steve@einval.com>
Cc: 593629@bugs.debian.org
Subject: Re: Bug#593629: debian-cd: GNU/kFreeBSD support
Date: Sun, 22 Aug 2010 22:32:38 +0200
[Message part 1 (text/plain, inline)]
On Thu, Aug 19, 2010 at 07:58:14PM +0200, Aurelien Jarno wrote:
> Package: debian-cd
> Version: 3.1.3
> Severity: normal
> Tags: patch
> 
> Hi,
> 
> The patch below add support for GNU/kFreeBSD. It's a mix of support 
> for kfreebsd-amd64 and kfreebsd-i386 with bug fixes to support a "-"
> in the architecture name.
> 
> If you have any question, don't hesitate. If not, please apply this
> patch for the next upload.
> 

I am sorry but I have just found a small bug in the patch I send.
Basically /boot/grub/grub_eltorito is modified by mkisofs, so the md5sum
on the final ISO image is wrong.

Please find attached a small patch (based on what is done on x86) to fix
the issue.

-- 
Aurelien Jarno                          GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net
[debian-cd.kfreebsd.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD Group <debian-cd@lists.debian.org>:
Bug#593629; Package debian-cd. (Wed, 15 Sep 2010 12:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Debian CD Group <debian-cd@lists.debian.org>. (Wed, 15 Sep 2010 12:21:02 GMT) Full text and rfc822 format available.

Message #32 received at 593629@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Aurelien Jarno <aurel32@debian.org>
Cc: 593629@bugs.debian.org
Subject: Re: Bug#593629: debian-cd: GNU/kFreeBSD support
Date: Wed, 15 Sep 2010 13:17:05 +0100
On Sun, Aug 22, 2010 at 10:32:38PM +0200, Aurelien Jarno wrote:
>On Thu, Aug 19, 2010 at 07:58:14PM +0200, Aurelien Jarno wrote:
>> Package: debian-cd
>> Version: 3.1.3
>> Severity: normal
>> Tags: patch
>> 
>> Hi,
>> 
>> The patch below add support for GNU/kFreeBSD. It's a mix of support 
>> for kfreebsd-amd64 and kfreebsd-i386 with bug fixes to support a "-"
>> in the architecture name.
>> 
>> If you have any question, don't hesitate. If not, please apply this
>> patch for the next upload.
>> 
>
>I am sorry but I have just found a small bug in the patch I send.
>Basically /boot/grub/grub_eltorito is modified by mkisofs, so the md5sum
>on the final ISO image is wrong.
>
>Please find attached a small patch (based on what is done on x86) to fix
>the issue.

Checked in now; sorry for the delay.

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
"Further comment on how I feel about IBM will appear once I've worked out
 whether they're being malicious or incompetent. Capital letters are forecast."
 Matthew Garrett, http://www.livejournal.com/users/mjg59/30675.html





Reply sent to Steve McIntyre <93sam@debian.org>:
You have taken responsibility. (Sun, 14 Nov 2010 16:48:29 GMT) Full text and rfc822 format available.

Notification sent to Aurelien Jarno <aurel32@debian.org>:
Bug acknowledged by developer. (Sun, 14 Nov 2010 16:48:29 GMT) Full text and rfc822 format available.

Message #37 received at 593629-close@bugs.debian.org (full text, mbox):

From: Steve McIntyre <93sam@debian.org>
To: 593629-close@bugs.debian.org
Subject: Bug#593629: fixed in debian-cd 3.1.4
Date: Sun, 14 Nov 2010 16:47:07 +0000
Source: debian-cd
Source-Version: 3.1.4

We believe that the bug you reported is fixed in the latest version of
debian-cd, which is due to be installed in the Debian FTP archive:

debian-cd_3.1.4.dsc
  to main/d/debian-cd/debian-cd_3.1.4.dsc
debian-cd_3.1.4.tar.gz
  to main/d/debian-cd/debian-cd_3.1.4.tar.gz
debian-cd_3.1.4_all.deb
  to main/d/debian-cd/debian-cd_3.1.4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 593629@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve McIntyre <93sam@debian.org> (supplier of updated debian-cd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 14 Nov 2010 15:37:24 +0000
Source: debian-cd
Binary: debian-cd
Architecture: source all
Version: 3.1.4
Distribution: unstable
Urgency: low
Maintainer: Debian CD Group <debian-cd@lists.debian.org>
Changed-By: Steve McIntyre <93sam@debian.org>
Description: 
 debian-cd  - Tools for building (Official) Debian CD set
Closes: 475243 514654 537368 571591 574879 587774 590993 592932 592933 593629 593914 593972 594267 598196 601189
Changes: 
 debian-cd (3.1.4) unstable; urgency=low
 .
   [ Frans Pop ]
   * Cleanup of packages included for bootable CDs (generate_d-i+k_list):
     - libsysfs2 workaround is no longer needed;
     - discover is no longer used anywhere;
     - include grub-legacy instead of grub;
     - pcmcia-cs has been fully replaced with pcmciautils.
   * Exclude udebs for X.Org-based version of the Graphical Installer.
   * Excluding reiserfs4 udebs is not needed for Squeeze.
   * Include pciutils on installation CDs.
   * Only include a symlink for the suite actually specified in the
     Release file. Closes: #590993
 .
   [ Karl Goetz ]
   * Rename log.sort_deps* to sort_deps*.log for better consistency.
     Closes: #571591
   * Minor tweaks to Debian packaging to make lintian happy.
     Closes: #592932
   * Minor whitespace/wording fixes for the README file. Closes: #592933
   * Change the default for NORECOMMENDS to 1 for consistency with
     NOSUGGESTS. Closes: #598196
   * Documentation patches
 .
   [ Steve McIntyre ]
   * Rename log.add_packages to add_packages.log
   * Add dependency on dpkg-dev for dpkg-architecture. Closes: #574879
   * Add support for forcing firmware packages onto CD#1:
     + Add "FORCE_FIRMWARE=1" to CONF.sh to turn this on
     + Will pick up on packages in the "firmware" task and install them
     + Will also add sym-links to them in CD1/firmware so that new d-i code
       can find them easily.
     + Will add a short sentence into README.html/README.txt
   * Add top-level control of which checksums are desired for output images
     see the CHECKSUMS setting in CONF.sh
   * Fix some bashisms in tools/apt-selection.
   * When generating both iso and jigdo files, make sure that the iso files
     are at least as new as the jigdo files, as this helps people mirroring.
     Closes: #587774
   * On release builds, use the full version number including all the dots
     (e.g. 6.0.0 for the squeeze release instead of 600).
   * Update loadlin kernel parameters to match d-i values. Thanks to Samuel
     Thibault for the patch. Closes: #594267
   * Fix support for alternative boot splash images. Thanks to Tony Awtrey
     for the patch. Closes: #537368
   * Include the acpi package for all x86 media types. Closes: #475243
   * Include the wpasupplicant package on netinsts and larger. Closes: #593914
   * Include kbd on first CD rather than console-tools. Closes: #514654
   * Added dedication to Frans Pop.
 .
   [ Ian Campbell ]
   * boot-x86: detect duplicates in the extra images used for installation
     and replace with hard links.
   * CONF.sh: Don't reset the value of $VARIANTS by default.
 .
   [ Aurelien Jarno ]
   * Add support for the kfreebsd ports. Closes: #593629
   * Add debian-ports-archive-keyring-udeb and
     emdebian-archive-keyring-udeb to the exclude list - they should be in
     the initrd already.
   * Don't exclude reiserfsprogs-udeb, as rescue-mode depends on it.
     Closes: #593972
 .
   [ Petter Reinholdtsen ]
   * Support replacing the g-i image with ones own image. Closes: #601189
 .
   [ Holger Levsen ]
   * Start work on Debian Edu images.
 .
   [ Otavio Salvador ]
   * squeeze: include zlib-modules for i386 images
Checksums-Sha1: 
 4aa94fd87bee8e35e763a094e235ed1def58140e 1652 debian-cd_3.1.4.dsc
 a45b6edd126921052945b27ba3d5e021afc3a1e4 903651 debian-cd_3.1.4.tar.gz
 0bdc19dc3d44c9923704ce3f5a5a753252be30f8 896782 debian-cd_3.1.4_all.deb
Checksums-Sha256: 
 7a3f7a43f66dbe62ed2e857f30008c206a36c38b8068ff60a854a52c952f7fef 1652 debian-cd_3.1.4.dsc
 863385c6a363bcdb7d4f003b927b1b358586adc07d44e391c4695f9cf2d67fc7 903651 debian-cd_3.1.4.tar.gz
 457137953bc16480d887b52d3c4daf59315bc7e2f181c2acb6f88fbcca0b7fc2 896782 debian-cd_3.1.4_all.deb
Files: 
 c778c398021f33fc67a26a1d643e7760 1652 admin extra debian-cd_3.1.4.dsc
 ed65f0a833d68c55d5a9a341caba7f77 903651 admin extra debian-cd_3.1.4.tar.gz
 03a3472c740dafd5478153609763b25e 896782 admin extra debian-cd_3.1.4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJM4BBCAAoJEFh5eVc0QmhOEMoP/jgiGNdi+TN6w09tsGzui3YB
FKcCSe9dEwd4dnpolgDiFM4d2BYzbpHk45DNfVzGZM9xEseFyNfUXWS34s6exzDa
fkMESrGj7VSK++jp2Xy/mXiG3HWbTgYPf+e3T8/SyCL3Lk0ae/k6Ri5siJYp1ZPv
DqBAsXGLTuhRpBwDUo7aN1G6BYJMHOOne0fyBC299JkE/RifZeBqhFsG5bP9Sx0+
R0E1Hg5PQC0NhFfWncn8yR0CdLDu6TVpSupN1hRrGvTAcJj5aE4re4LV9ZpEAsce
O4LjufTxAJjTgp2nAPslsPdM4vN8oQDmPj/mCu64owokoPhHlM3bkTkP2W4KkamI
x6n++SepNVGRmXmVw/AYyaWKhF5k94T4GAGdnX2d0Rh4NHNufOl882kbyMr8dihy
himoCriNCyp+NPNgjUn21BvKVD73JcBjAdFkt52oWb1Ka4IJtdPxS96+YjbUBsuD
YU/fUDJE22f1/JnYx6YZiY2ff2RdVD6hPA0BnwMti61Cm6KBpTyaA6uwZrPc6cXC
9KUi1pyOnyVNxD3k2ryQNUmU6IJE+VsuEmhedPkvSW/ANG4uO/82tjaKN/xOu5RZ
ob7owj2DQqZaJ7NBwKkZNX23/dlxXK5SP9pgK1//K+EQEMFq5rHLKeRyM/TSOhTa
B4BP+oJXKOhDSmsLAiMY
=hV6a
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 23 Dec 2010 07:32:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:48:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.